Projekt części: Cecha

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page PartDesign Feature and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎русский

Wprowadzenie

Cecha odnosi się do "kroku" w procesie modelowania, który dzieje się wewnątrz zawartości projektu części. Na przykład, za każdym razem kiedy dodajesz sześcian opcją Addytywny sześcian, dodajesz cechę, kiedy dodajesz fazkę do krawędzi opcją Fazka, dodajesz kolejną cechę. Kiedy wycinasz otwór używając szkicu i opcji kieszeń, dodajesz inną cechę.

PartDesign Feature example.png

Edycja elementu w Zawartości Projektu części z trzema kolejnymi elementami.

Istnieje wiele rodzajów cech, które mogą dodawać lub usuwać objętość z bryły początkowej. Słowo "cecha" odnosi się do samej operacji, jak również do bryły powstałej po tej operacji.

Aby dowiedzieć się więcej o możliwości tworzenia obiektów bryłowych za pomocą środowiska Projekt części zobacz stronę edycja cech.

Użycie

Prawie wszystkie narzędzia środowiska pracy Projekt części są przeznaczone do dodawania cech do zawartości projektu części. Narzędzia te mogą być dostępne z menu i przycisków paska narzędzi, gdy obiekt lub element podrzędny (wierzchołek, krawędź, ściana) jest zaznaczony.

Cechy mogą być umieszczone w różnych kategoriach:

Dziedziczenie

FreeCAD core objects.svg

Uproszczony diagram zależności pomiędzy podstawowymi obiektami programu. Obiekty PartDesign::Feature są używane do budowania parametrycznych brył 3D, a więc pochodzą z podstawowego obiektu Part::Feature..

Tworzenie skryptów

Zobacz również: Podstawy tworzenia skryptów FreeCAD, oraz Obiekty tworzone skryptami.

Zobacz stronę cechy części, aby uzyskać ogólne informacje na temat dodawania obiektów z konsoli Python.

Zobacz stronę zawartość Projektu części aby uzyskać ogólne informacje na temat dodawania Zawartości. Gdy istnieje już bryła, można do niej dołączyć cechy za pomocą metody addObject() tej bryły.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject('PartDesign::Body', 'Body')
obj.Label = "Custom label"

feature = App.ActiveDocument.addObject('PartDesign::AdditiveBox', 'Box')
feature.Width = 200
feature.Length = 300
feature.Height = 500
obj.addObject(feature)
App.ActiveDocument.recompute()

feature2 = App.ActiveDocument.addObject('PartDesign::SubtractiveBox', 'Box')
feature2.Width = 50
feature2.Length = 200
feature2.Height = 400
obj.addObject(feature2)
App.ActiveDocument.recompute()